Subject: Re: bug#64783: Build of texlive-font-maps fails

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Thu, 27 Jul 2023 08:30:56 +0200

Nicolas Goaziou <[email-masked]> writes:

> "Dr. Arne Babenhauserheide" <[email-masked]> writes:
>
>> I see consistent failures of the package texlive-font-maps. It logs the error:
>>
>> updmap [ERROR]: The following map file(s) couldn't be found:
>> updmap [ERROR]:         dvips35.map (in builtin)
>> updmap [ERROR]:         pdftex35.map (in builtin)
>> updmap [ERROR]:         ps2pk35.map (in builtin)
>> updmap [ERROR]: Did you run mktexlsr?
>
> These files are provided by texlive-scripts, which should be available
> on every modular TeX Live installation (texlive-bin propagates it).
>
>> properties","((type . profile-hook) (hook .
>> texlive-font-maps))"),("out","/gnu/store/i3bjkknqvy6j1yms9wq2vzvak4p3zkg6-texlive-font-maps"),("preferLocalBuild","1")])
>>
>
> You seem to have some texlive packages installed, but no `texlive-bin'.
>
> What texlive packages, if any, are installed in your profile? What
> happens if you also install, for example, `texlive-scheme-basic'?

Sorry for the late answer, I missed your answer :-/

Adding texlive-bin to my manifest works. Thank you!

Is there a package that says "all of texlive"? When working with LaTeX,
I do not know beforehand which packages I need but rather always need
all available to try out what works well.

It’s similar as with fonts where I usually need all fonts during
document design, not just a subset, so I can try out quickly how they
would look.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de